Summary: manual page reader
Name: man
Version: 1.4h
Release: 4
Copyright: GPL
Group: Utilities/System
Source0: sunsite.unc.edu:/pub/Linux/system/Manual-pagers/man-1.4h.tar.gz
Source1: makewhatis.cron
Patch0: man-1.4d-conf.patch
Patch1: man-1.4d-manpath.patch
Patch2: man-1.4d-sgid.patch
Patch3: man-1.4d-shell.patch
Patch4: man-1.4d-tmphole.patch
Requires: groff

%description
The man page suite, including man, apropos, and whatis.  These
programs are used to read most of the documentation available
on a Linux system.  The whatis and apropos programs can be used
to find documentation related to a particular subject.

%prep
%setup
%patch -P 0
%patch -P 1
%patch -P 2 -p1
%patch -P 3 -p1
%patch -P 4 -p1

%build
./configure -default
patch -p0 -s < conf.diff
make CC="gcc $RPM_OPT_FLAGS"

%install
make install
chmod 755 /usr/sbin/makewhatis
chown root.man /usr/bin/man
chmod 2755 /usr/bin/man

install -m755 $RPM_SOURCE_DIR/makewhatis.cron /etc/cron.weekly

mkdir -p /var/catman
chown root.man /var/catman
chmod 775 /var/catman
mkdir -p /var/catman/local
chown root.man /var/catman/local
chmod 775 /var/catman/local
mkdir -p /var/catman/X11
chown root.man /var/catman/X11
chmod 775 /var/catman/X11
for i in 1 2 3 4 5 6 7 8 9 n; do
	mkdir -p /var/catman/cat$i
	chown root.man /var/catman/cat$i
	chmod 775 /var/catman/cat$i
	mkdir -p /var/catman/local/cat$i
	chown root.man /var/catman/local/cat$i
	chmod 775 /var/catman/local/cat$i
	mkdir -p /var/catman/X11/cat$i
	chown root.man /var/catman/X11/cat$i
	chmod 775 /var/catman/X11/cat$i
done

strip /usr/bin/man

%files
%config /etc/cron.weekly/makewhatis.cron
/usr/bin/man
/usr/bin/apropos
/usr/bin/whatis
/usr/sbin/makewhatis
%config /etc/man.config
/usr/man/man5/man.config.5
/usr/man/man1/whatis.1
/usr/man/man1/man.1
/usr/man/man1/apropos.1

%dir /var/catman
%dir /var/catman/cat1
%dir /var/catman/cat2
%dir /var/catman/cat3
%dir /var/catman/cat4
%dir /var/catman/cat5
%dir /var/catman/cat6
%dir /var/catman/cat7
%dir /var/catman/cat8
%dir /var/catman/cat9
%dir /var/catman/catn
%dir /var/catman/local
%dir /var/catman/local/cat1
%dir /var/catman/local/cat2
%dir /var/catman/local/cat3
%dir /var/catman/local/cat4
%dir /var/catman/local/cat5
%dir /var/catman/local/cat6
%dir /var/catman/local/cat7
%dir /var/catman/local/cat8
%dir /var/catman/local/cat9
%dir /var/catman/local/catn
%dir /var/catman/X11
%dir /var/catman/X11/cat1
%dir /var/catman/X11/cat2
%dir /var/catman/X11/cat3
%dir /var/catman/X11/cat4
%dir /var/catman/X11/cat5
%dir /var/catman/X11/cat6
%dir /var/catman/X11/cat7
%dir /var/catman/X11/cat8
%dir /var/catman/X11/cat9
%dir /var/catman/X11/catn
